package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussDeviceSpec;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussDeviceSpecMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussDeviceSpec record);

    int insertSelective(TbPlussDeviceSpec record);

    TbPlussDeviceSpec selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussDeviceSpec record);

    int updateByPrimaryKey(TbPlussDeviceSpec record);
}